Subject: Re: bug#37347: 'guix environment' fails after trying to follow the steps from "Running Guix Before It Is Installed" page

From: Jan <[email-masked]>
Date: Mon, 16 Sep 2019 19:40:07 +0200

Dnia 2019-09-16, o godz. 18:01:04
Ludovic Courtès <[email-masked]> napisał(a):

> Hi Jan,
> 
> Jan <[email-masked]> skribis:
> 
> > guix/build/download.scm:313:6: In procedure tls-wrap:
> > X.509 certificate of 'api.github.com' could not be verified:
> >   signer-not-found
> >   invalid
> 
> It looks like X.509 certificates used to authenticate web sites over
> HTTPS could not be found.
> 
> Did you set environment variables and all as described at
> <https://guix.gnu.org/manual/en/html_node/X_002e509-Certificates.html>?
> 
> HTH,
> Ludo’.

I have nss-certs installed as a global package in my config.scm and
refreshing only doesn't work in the environment created by "guix
environmnet guix --pure" - it works without an environment. Tried
using "--ad-hoc nss-certs", but it didn't work. The manual says I have
to add certs manually if I'm an unprivileged user or running Guix on a
foreign distro, but I'm running Guix natively on my machine. Do I have
to define variables like this anyway?

---
Jan Wielkiewicz